Package: io.vertx.groovy.core.http

## [Groovy] Class HttpServerFileUpload

- io.vertx.groovy.core.http.HttpServerFileUpload

- All Implemented Interfaces and Traits:
    ReadStream

      @groovy.transform.CompileStatic
      class HttpServerFileUpload
      extends java.lang.Object

  Represents an file upload from an HTML FORM.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `HttpServerFileUpload (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `charset()` @return Returns: the charset for the upload
    `java.lang.String` | `contentTransferEncoding()` @return Returns: the contentTransferEncoding for the upload
    `java.lang.String` | `contentType()` @return Returns: the content type for the upload
    `HttpServerFileUpload` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)`
    `HttpServerFileUpload` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)`
    `java.lang.String` | `filename()` Returns: the filename which was used when upload the file.
    `java.lang.Object` | `getDelegate()`
    `HttpServerFileUpload` | `handler(io.vertx.core.Handler<Buffer> handler)`
    `boolean` | `isSizeAvailable()` Returns: true if the size of the upload can be retrieved via HttpServerFileUpload.size.
    `java.lang.String` | `name()` @return Returns: the name of the attribute
    `HttpServerFileUpload` | `pause()`
    `HttpServerFileUpload` | `resume()`
    `long` | `size()` The size of the upload may not be available until it is all read.
    `HttpServerFileUpload` | `streamToFileSystem(java.lang.String filename)` Stream the content of this upload to the given file on storage.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### HttpServerFileUpload(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.String charset()

      Returns:
        the charset for the upload

    - #### java.lang.String contentTransferEncoding()

      Returns:
        the contentTransferEncoding for the upload

    - #### java.lang.String contentType()

      Returns:
        the content type for the upload

    - #### HttpServerFileUpload endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

    - #### HttpServerFileUpload exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

    - #### java.lang.String filename()

      Returns:
        the filename which was used when upload the file.

    - #### java.lang.Object getDelegate()

    - #### HttpServerFileUpload handler(io.vertx.core.Handler<Buffer> handler)

    - #### boolean isSizeAvailable()

      Returns:
        true if the size of the upload can be retrieved via HttpServerFileUpload.size.

    - #### java.lang.String name()

      Returns:
        the name of the attribute

    - #### HttpServerFileUpload pause()

    - #### HttpServerFileUpload resume()

    - #### long size()

      The size of the upload may not be available until it is all read. Check HttpServerFileUpload.isSizeAvailable to determine this

      Returns:
        the size of the upload (in bytes)

    - #### HttpServerFileUpload streamToFileSystem(java.lang.String filename)

      Stream the content of this upload to the given file on storage.

      Returns:
      Parameters:
        `filename` - the name of the file